Upgrade to new version of Comodo firewall 3.8 from 3.5

Hi
I am using Comodo firewall only ver 3.5

I have seen that a new version of firewall 3.8 is available.

I have downloaded the same but when i run the same, the firewall is not updating to the new version.
It is asking for removal of the earlier version before the new ver can be installed.

Is it worthwhile to uninstall the exisiting version and reinstall the new ver or is there any way i can simply upgrade to the new ver ?
I am using only the firewall version.

Thanks

I thought it was worthwhile to uninstall 3.5 and then install 3.8.

If you don’t wish to do that, you can just wait until the auto-update version is ready. That should be sometime this week.